Package org.kapott.hbci.sepa.jaxb.pain_008_001_10

## Class Document

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.pain_008_001_10.Document

    public class Document
    extends java.lang.Object

Java class for Document complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="Document">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="CstmrDrctDbtInitn" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.001.10}CustomerDirectDebitInitiationV10"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected CustomerDirectDebitInitiationV10` `cstmrDrctDbtInitn`

### Constructor Summary

Constructors
`Document()`

### Method Summary

All Methods Instance Methods Concrete Methods
`CustomerDirectDebitInitiationV10` `getCstmrDrctDbtInitn()` Gets the value of the cstmrDrctDbtInitn property.
`void` `setCstmrDrctDbtInitn​(CustomerDirectDebitInitiationV10 value)` Sets the value of the cstmrDrctDbtInitn property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### cstmrDrctDbtInitn

    protected CustomerDirectDebitInitiationV10 cstmrDrctDbtInitn

### Constructor Detail

#### Document

    public Document()

### Method Detail

#### getCstmrDrctDbtInitn

    public CustomerDirectDebitInitiationV10 getCstmrDrctDbtInitn()

Gets the value of the cstmrDrctDbtInitn property.

Returns:
  possible object is `CustomerDirectDebitInitiationV10`

#### setCstmrDrctDbtInitn

    public void setCstmrDrctDbtInitn​(CustomerDirectDebitInitiationV10 value)

Sets the value of the cstmrDrctDbtInitn property.

Parameters:
  `value` - allowed object is `CustomerDirectDebitInitiationV10`